TOMOYO-QUERYD(8)

NAME
tomoyo-queryd - real-time access request management utility for TOMOYO Linux

SYNOPSIS
tomoyo-queryd

tomoyo-queryd <remote_ip:remote_port>

DESCRIPTION
This program detects policy violations that occur in domains set to enforcing mode. The violation is displayed and a number of options are given to either grant or reject this request. Programs are frozen until a response is provided by the administrator.

This is useful when upgrading packages on the system so that errors can be avoided due to changes in permissions.

Never grant access requests unconditionally. Policy violations must be carefully analyzed to determine whether they are coming from a compromised process or malicious attacker.

OPTIONS
--no-update
    Do not detect pathnames of globally readable files.

--ask-update
    Asks you whether or not to append created pathnames which are registered in /etc/ld.so.cache to globally readable files, and asks you whether or not to remove deleted pathnames from globally readable files.

<remote_ip:remote_port>
    Instead of managing local policy violations, manage policy violations via an agent waiting at port <remote_port> on IP address <remote_ip>.

EXAMPLES
Handle local policy violations:
tomoyo-queryd

Handle remote policy violations via an agent waiting at port 10000 on 192.168.1.1:
tomoyo-queryd 192.168.1.1:10000

NOTES
If no options are passed, this program automatically appends created pathnames which are registered in /etc/ld.so.cache to globally readable files, and automatically removes deleted pathnames from globally readable files.

Before this program can be invoked, it must be registered in /sys/kernel/security/tomoyo/manager. After initializing policy, this is usually as simple as rebooting the system.

BUGS
If there are any bugs, send an email with as much detail as possible to tomoyo-users-en@lists.sourceforge.jp

AUTHORS

Main authors:

    • Tetsuo Handa <penguin-kernel AT I-love.SAKURA.ne.jp>

Other contributers:

    • Jamie Nguyen <jamie AT tomoyolinux.co.uk>

    Man pages, documentation and website.

SEE ALSO
tomoyo-editpolicy-agent(8), tomoyo-notifyd(8)

See http://tomoyo.sourceforge.jp/ for more information.